摘要:
很容易得出答案就是2^(n-1)但是N暴大,所以不可以直接用幂取模,因为除法操作至少O(len)了,总时间会达到O(len*log(N)) 显然爆的一塌糊涂套用FZU1759的模板+顺手写一个大数-1http://acm.fzu.edu.cn/problem.php?pid=1759标程的做法是用费马小定理 , ap-1≡1(mod p)那么2(1e9+6)%(1e9+7)= 1很容易得出 2k%(10e+7) = 2k%(10e+6)%(10e+7)然后就能用快速幂了 但FZU那题显然不是这么水的...我暂时也没看懂是怎么做的现在看懂这个意思了,根据著名的欧拉公式:A^PHI(C)=1(MO 阅读全文
摘要:
维护两个栈,分别存光标前和光标后的数再维护前缀和的栈 和 前缀和最大值的栈注意一下左移,右移,删除到顶了就不操作了5个操作I x : 光标处插入x -----> s1.push(x)D : 光标前删除 -----> s1.pop()L : 光标左移 -----> s2.push(s1.top()) s1.pop()R : 光标右移 -----> s1.push(s2.top()) s2.pop()Q k : 输出前k个数前缀和最大值/********************* Template ************************/#include #inc 阅读全文
摘要:
http://acm.hdu.edu.cn/showproblem.php?pid=4696由题意可知 1#include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include #include using namespace std;#define EPS 1e-8#define MAXN ... 阅读全文